function 过验证1()
	local aa=获取NPC对话框内容()
	local k1=string.find(aa,"<随机验证",1,true)
	local k2=string.find(aa,"<",k1+1,true)
	local k3=string.find(aa,">",k2+1,true)
	local a1=string.sub(aa,k2,k3)
	调试打印(a1)
	if string.find(a1,"你是否使用外挂了",1,true) ~= nil then
		local cmd=匹配内容(aa,[[(@没有\d{1,3})]])
		选择(cmd)
	elseif string.find(a1,"当前角色的性别是",1,true) ~= nil then
		local b0=取主号信息(7)
		if b0==0 then
			local cmd=匹配内容(aa,[[(@男男男\d{1,3})]])
			选择(cmd)
		elseif b0==1 then
			local cmd=匹配内容(aa,[[(@女女女\d{1,3})]])
			选择(cmd)
		end
	elseif string.find(a1,"你的现在的包裹内还有没有首充大礼包",1,true) ~= nil then
		local b1=取背包中物品数量("首充大礼包")
		if b1 > 0 then
			local cmd=匹配内容(aa,[[(@有首充\d{1,3})]])
			选择(cmd)
		else
			local cmd=匹配内容(aa,[[(@没首充\d{1,3})]])
			选择(cmd)
		end
	elseif string.find(a1,"请输入当前人物角色等级",1,true) ~= nil then
		local b2=取主号信息(6)
		local api=匹配内容(aa,[[(@@InPutString\d{1,3})]])
		合成命令(api,b2)
	elseif string.find(a1,"目前中国最大的搜索引擎是哪家",1,true) ~= nil then
		local cmd=匹配内容(aa,[[(@百度\d{1,3})]])
		选择(cmd)
	elseif string.find(a1,"请输入当前人物角色的职业",1,true) ~= nil then
		local b3=取主号信息(8)
		if b3==0 then
			local cmd=匹配内容(aa,[[(@战士\d{1,3})]])
			选择(cmd)
		elseif b3==1 then
			local cmd=匹配内容(aa,[[(@法师\d{1,3})]])
			选择(cmd)
		elseif b3==2 then
			local cmd=匹配内容(aa,[[(@道士\d{1,3})]])
			选择(cmd)
		end
	end
	等待(1500)
end
